Page MenuHomeFreeBSD

multimedia/x264: split in two
ClosedPublic

Authored by xmj on Nov 14 2014, 12:20 PM.

Details

Reviewers
swills
koobs
Summary
  • Split the x264 port in two to eliminate circular dependencies and allow LAVF support
  • Update to 0.142.2455
  • Bump PORTVERSIONS of reverse dependencies
multimedia/x264: General overhaul

- Split x264 into two ports: the CLI application (x264), and the library 
  (libx264). This will allow x264 to use lavf and friends from ffmpeg for
  decoding and demuxing while preventing a circular dependency between the
  two: x264 can depend on ffmpeg, but ffmpeg will depend on libx264 rather
  than x264.
- Add the LAVF option to the CLI port, making the dependency on ffmpeg
  optional.
- Update to 0.142.2455.
- Amend fixes to local patches so that they can apply to the new upstream
  files.
- Provide the git revision and other version information to the build
  environment, allowing the CLI binary to display this information (like the
  Windows builds).
- Remove unsupported build options (X11_OUTPUT).
- Ensure that the library and CLI ports each have the appropriate options.
- Add notes for future contributors who wish to update the ports.
- Bump PORTREVISION for all dependent ports.

PR:           187805
DiffRev:      placeholder
Submitted by: Andrew Berg <aberg010@my.hennepintech.edu>
Approved by:  koobs (maintainer, mentor)
Test Plan
  • looked for ports depending on x264. Submitter bumped them all.
  • portlint of multimedia/[lib]x264 yells over weird non-issues.
  • [ bulk in progress, will link once it's done ]

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj retitled this revision from to multimedia/x264: split in two.Nov 14 2014, 12:20 PM
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj updated this revision to Diff 2398.
xmj added a comment.Nov 16 2014, 9:24 AM

Buildlogs:

http://xmj.me/freebsd/buildlogs/avidemux26-2.6.8_3.log
http://xmj.me/freebsd/buildlogs/cups-image-1.7.3_1.log
http://xmj.me/freebsd/buildlogs/doxygen-1.8.8,1.log
http://xmj.me/freebsd/buildlogs/ffmpeg-2.3.5_2,1.log
http://xmj.me/freebsd/buildlogs/ffmpeg0-0.7.16_3,1.log
http://xmj.me/freebsd/buildlogs/ffmpeg24-2.4.3_2.log
http://xmj.me/freebsd/buildlogs/ghostscript9-9.06_8.log
http://xmj.me/freebsd/buildlogs/gstreamer-plugins-0.10.36_4,3.log
http://xmj.me/freebsd/buildlogs/gstreamer-plugins-ugly-0.10.19_1,3.log
http://xmj.me/freebsd/buildlogs/gstreamer-plugins-x264-0.10.19_4,3.log
http://xmj.me/freebsd/buildlogs/gstreamer1-plugins-1.2.4.log
http://xmj.me/freebsd/buildlogs/gstreamer1-plugins-ugly-1.2.4.log
http://xmj.me/freebsd/buildlogs/gstreamer1-plugins-x264-1.2.4_1.log
http://xmj.me/freebsd/buildlogs/libav-10.2_5.log
http://xmj.me/freebsd/buildlogs/libquicktime-1.2.4_8.log
http://xmj.me/freebsd/buildlogs/libsndfile-1.0.25_4.log
http://xmj.me/freebsd/buildlogs/libx264-0.142.2455.log
http://xmj.me/freebsd/buildlogs/mencoder-1.1.r20140824_2.log
http://xmj.me/freebsd/buildlogs/mpeg4ip-1.6.1_31.log
http://xmj.me/freebsd/buildlogs/mplayer-1.1.r20140824_3.log
http://xmj.me/freebsd/buildlogs/opal-3.10.10_6.log
http://xmj.me/freebsd/buildlogs/opencv-2.4.9_2.log
http://xmj.me/freebsd/buildlogs/spandsp-devel-0.0.6.p21_4.log
http://xmj.me/freebsd/buildlogs/tex-dvipsk-5.994.log
http://xmj.me/freebsd/buildlogs/tex-formats-20140525.log
http://xmj.me/freebsd/buildlogs/texlive-base-20140525_2.log
http://xmj.me/freebsd/buildlogs/texlive-texmf-20140525_4.log
http://xmj.me/freebsd/buildlogs/transcode-1.1.7_19.log
http://xmj.me/freebsd/buildlogs/x264-0.142.2455.log

with libsndfile being skipped in poudriere due to a NO_PACKAGE flag, a few of the bumped REVISION ports were skipped.

[01:08:06] ====>> Skipped ports: audio/libsamplerate audio/pulseaudio audio/twolame multimedia/avidemux2 multimedia/vlc x11/xpra

xmj updated this object.Nov 18 2014, 1:57 PM
swills edited edge metadata.Nov 21 2014, 2:02 AM
swills accepted this revision.

Looks good!

This revision is now accepted and ready to land.Nov 21 2014, 2:02 AM
xmj closed this revision.Nov 22 2014, 4:24 PM

Committed revision 373073.